<?php 
session_start();
if(!isset($_SESSION['usuario']))
{
 	echo "<script languaje='JavaScript'>";       
	echo "parent.location.href='index.php'; ";
	echo "</script>";
}
include ("clases/mp_chat.class.php"); $objchat = new mp_chat();
include ("clases/autor.class.php"); $objdoc = new autor();
include ("clases/alumno.class.php"); $objalu = new alumno();
$objd = new alumno();
if($objd->BuscarPorNombre($_SESSION['usuario']))
	{
	  $idalu_e = $objd->getIdalu();
	}
 
		include ("clases/matricula.class.php"); $objmat = new matricula();
		
		 $cod = $_REQUEST["id"];
//////////////////////////////////////////////////		
		
?>
<script>
function confirmar(idr,ide)
{
  if(ide==""){
     alert("accion no permitida como docente");
	 return false;
  }else{
		   if(ide==idr)
		   { alert("Te recomiendo que pienses en voz alta antes de chatear contigo mismo");
			//if(confirm('Te recomiendo que pienses en voz alta antes de chatear contigo mismo'))
			 return false;
		   }
	  }
}
</script>
<table width="176" class="table table-responsive">
            <tr class="active">
              <td colspan="3" >Lista de Estudiantes </td>
              </tr>
            <? 
			  
			  $lista=$objmat->ListarPorDoc_curso($cod);
			 
			  for($i = 0; $i<count($lista); $i++)
			  {
			    if($objalu->BuscarPorCodigo($lista[$i]["idalu"])){
				      $lista[$i]["nombres"]=$objalu->getNombres(); 
					  $lista[$i]["apellidos"]=$objalu->getApellidos(); 
					  $lista[$i]["foto"]=$objalu->getFoto();
					  $lista[$i]["enlinea"]=$objalu->getEnlinea();
					  $lista[$i]["email"]=$objalu->getEmail();
				 }				 
			  ?>
            <tr onMouseOver="this.style.backgroundColor='#f5f5f5'" onMouseOut="this.style.backgroundColor='#FFFFFF'" class="Estilo1">
              <td align="center"><a href="pagalumno.php?id=<?=$lista[$i]["idalu"];?>" ><img src="fotosa/<?=$lista[$i]["foto"];?>" width="47" height="50" border="0" class="img-thumbnail img-circle" /></a></td>
              <td>
			       <?= $lista[$i]["nombres"]." ".$lista[$i]["apellidos"];?><?php echo " <span class='btn-success'>".$lista[$i]["enlinea"]."</span>";?>
				   <?php $listam = $objchat->Ultimaactividad($cod,$_SESSION['usuario'],$lista[$i]["email"]); 
				         for($j = 0; $j<count($listam); $j++)
						 {
				          if($listam[$j]['status']==1)
						  { echo "<div class='btn btn-danger btn-xs'>";
				   ?>
				             Te habla
				   <?
				            echo "</div>";
						  }
						 }
				   ?>
			  </td>
              <td>
			  <a href="chatprivado.php?idalu_r=<?=$lista[$i]["idalu"];?>&idalu_e=<?php echo $idalu_e;?>&id=<?=$cod;?>" target="chat" onClick="return confirmar('<?=$lista[$i]["idalu"];?>','<?php echo $idalu_e;?>');" class="btn btn-default btn-xs"><span class="glyphicon glyphicon-comment"></span></a></td>
            </tr>
            <?
			  }
			  ?>
          </table>	
		  
